# -*-makefile-*-
#
# Copyright (C) 2012 by Jan Luebbe <jlu@pengutronix.de>
#
# Copyright (C) 2021-2023 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Gregor Herburger
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_UBOOT_MBA335) += image-uboot-mba335

#
# Paths and names
#
IMAGE_UBOOT_MBA335	:= uboot_mba335x.img
IMAGE_UBOOT_MBA335_DIR	:= $(BUILDDIR)/$(IMAGE_UBOOT_MBA335)
IMAGE_UBOOT_MBA335_IMAGE	:= $(IMAGEDIR)/uboot-mba335x-mmc.vfat
IMAGE_UBOOT_MBA335_CONFIG	:= image-u-boot-vfat.config

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------

IMAGE_UBOOT_MBA335_ENV = \
	MLO=u-boot-mba335x-mmc-MLO \
	UBOOT=u-boot.img

$(IMAGE_UBOOT_MBA335_IMAGE):
	@$(call targetinfo)
	@$(call image/genimage, IMAGE_UBOOT_MBA335)
	@$(call finish)

# vim: syntax=make
