# -*-makefile-*-
#
# Copyright (C) 2018 by Michael Olbrich <m.olbrich@pengutronix.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_KERNEL_RT) += image-kernel-rt

#
# Paths and names
#
IMAGE_KERNEL_RT		:= image-kernel-rt
IMAGE_KERNEL_RT_IMAGE	:= $(IMAGEDIR)/linuximage-rt

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------

$(IMAGE_KERNEL_RT_IMAGE): $(STATEDIR)/kernel-rt.install.post
	@$(call targetinfo)

	@echo "Creating '$(notdir $(@))' from '$(notdir $(KERNEL_RT_IMAGE_PATH_y))'..."
	@install -m 644 "$(KERNEL_RT_IMAGE_PATH_y)" "$(@)"

	@$(call finish)

# vim: syntax=make
