# -*-makefile-*-
#
# Copyright (C) 2013-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_UBOOT_512MB_MBA6ULX_HD) += image-uboot-512mb-mba6ulx-hd

#
# Paths and names
#
IMAGE_UBOOT_512MB_MBA6ULX_HD		:= image-uboot-512mb-mba6ulx-hd
IMAGE_UBOOT_512MB_MBA6ULX_HD_DIR	:= $(BUILDDIR)/$(IMAGE_UBOOT_512MB_MBA6ULX_HD)
IMAGE_UBOOT_512MB_MBA6ULX_HD_IMAGE	:= $(IMAGEDIR)/uboot-512mb-mba6ulx-hd.img

IMAGE_UBOOT_512MB_MBA6ULX_HD_UBOOT_IMAGE	= \
	$(call remove_quotes,$(PTXCONF_U_BOOT_FSL_512MB_MBA6ULX_MMC_INSTALL_NAME)).imx

IMAGE_UBOOT_512MB_MBA6ULX_HD_DATA	= \
	$(IMAGEDIR)/$(IMAGE_UBOOT_512MB_MBA6ULX_HD_UBOOT_IMAGE) \
	$(IMAGE_ROOT_EXT_IMAGE) \
	$(IMAGE_FIRMWARE_IMG_IMAGE)

IMAGE_UBOOT_512MB_MBA6ULX_HD_CONFIG	:= uboot-hd.config

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------

IMAGE_UBOOT_512MB_MBA6ULX_HD_ENV = \
	UBOOT=$(IMAGE_UBOOT_512MB_MBA6ULX_HD_UBOOT_IMAGE) \
	ROOTFS=$(notdir $(IMAGE_ROOT_EXT_IMAGE)) \
	ROOTFS_SIZE=256M \
	FIRMWARE=$(notdir $(IMAGE_FIRMWARE_IMG_IMAGE)) \
	FIRMWARE_SIZE=20M \
	SPARE_SIZE=512M

$(IMAGE_UBOOT_512MB_MBA6ULX_HD_IMAGE):
	@$(call targetinfo)
	@$(call image/genimage, IMAGE_UBOOT_512MB_MBA6ULX_HD)
	@$(call finish)

# vim: syntax=make
