# -*-makefile-*-
#
# Copyright (C) 2015-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
HOST_PACKAGES-$(PTXCONF_HOST_IMX_FW_CONVERT) += host-imx-fw-convert

#
# Paths and names
#
HOST_IMX_FW_CONVERT_VERSION	:= 0.1
HOST_IMX_FW_CONVERT_MD5	        :=
HOST_IMX_FW_CONVERT		:= imx-fw-convert
HOST_IMX_FW_CONVERT_SUFFIX	:= tar.gz
HOST_IMX_FW_CONVERT_URL		:= file://$(PTXDIST_WORKSPACE)/local_src/$(HOST_IMX_FW_CONVERT).$(HOST_IMX_FW_CONVERT_SUFFIX)
## HOST_IMX_FW_CONVERT_SOURCE	:= $(SRCDIR)/$(HOST_IMX_FW_CONVERT).$(HOST_IMX_FW_CONVERT_SUFFIX)
HOST_IMX_FW_CONVERT_DIR		:= $(HOST_BUILDDIR)/$(HOST_IMX_FW_CONVERT)
HOST_IMX_FW_LICENSE		:= UNKNOWN

# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

#$(HOST_IMX_FW_CONVERT_SOURCE):
#	@$(call targetinfo)
#	@$(call get, HOST_IMX_FW_CONVERT)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

HOST_IMX_FW_CONVERT_CONF_ENV	:= $(HOST_ENV)

HOST_IMX_FW_CONVERT_CONF_TOOL	:= NONE

HOST_IMX_FW_CONVERT_MAKE_ENV	:= \
	$(HOST_ENV) \
	prefix=/

$(STATEDIR)/host-imx-fw-convert.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/host-imx-fw-convert.compile:
#	@$(call targetinfo)
#	@$(call world/compile, HOST_IMX_FW_CONVERT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/host-imx-fw-convert.install:
#	@$(call targetinfo)
#	@$(call world/install, HOST_IMX_FW_CONVERT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/host-imx-fw-convert.clean:
	@$(call targetinfo)
	@$(call clean_pkg, HOST_IMX_FW_CONVERT)
	@

# vim: syntax=make
