# -*-makefile-*-
#
# Copyright (C) 2014-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
HOST_PACKAGES-$(PTXCONF_HOST_IMX_USB_LOADER) += host-imx-usb-loader

#
# Paths and names
#
HOST_IMX_USB_LOADER_VERSION	:= c598fd1
HOST_IMX_USB_LOADER_MD5		:= 5937037123069b395f4268aebf655184
HOST_IMX_USB_LOADER		:= imx_usb_loader-$(HOST_IMX_USB_LOADER_VERSION)
HOST_IMX_USB_LOADER_SUFFIX	:= tar.gz
HOST_IMX_USB_LOADER_URL		:= https://github.com/boundarydevices/imx_usb_loader.git;tag=$(HOST_IMX_USB_LOADER_VERSION)
HOST_IMX_USB_LOADER_SOURCE	:= $(SRCDIR)/$(HOST_IMX_USB_LOADER).$(HOST_IMX_USB_LOADER_SUFFIX)
HOST_IMX_USB_LOADER_DIR		:= $(HOST_BUILDDIR)/$(HOST_IMX_USB_LOADER)

HOST_IMX_USB_LOADER_LICENSE	:= LGPL-2.1
HOST_IMX_USB_LOADER_LICENSE_FILES	:= file://COPYING;md5=4fbd65380cdd255951079008b364516c

HOST_IMX_USB_LOADER_ENV += \
	prefix=/


#$(STATEDIR)/host-imx-usb-loader.install:
#	@$(call targetinfo)
#	@$(call world/install, HOST_IMX_USB_LOADER)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/host-imx-usb-loader.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, HOST_IMX_USB_LOADER)

# vim: syntax=make
